package com.yixin.ms.server.vo;

import com.yixin.ms.model.enums.HealthOpenEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author: lileilei
 * @date: 2022/6/22 17:06
 * @description:
 */
@Data
@Accessors(chain = true)
public class PlaceInfoVO {

    @ApiModelProperty(value = "权限校验的appKey")
    private String appKey;

    @ApiModelProperty(value = "权限校验的appSecret")
    private String appSecret;

    @ApiModelProperty(value = "权限校验的privateKey 16位随机数 包含字母和数据")
    private String privateKey;

    @ApiModelProperty(value = "接口地址")
    private String interfaceAddress;

    @ApiModelProperty(value = "联动平台服务是否开启 true/false")
    private Boolean openThirdLinkPlatform;

    @ApiModelProperty(value = "是否放行 0-放行 1-禁止通行")
    private Integer isOpen;

    @ApiModelProperty(value = "通行文案显示")
    private String openMsg;
}
